Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.LZW.LzwConstants Class Referencesealed

This class contains constants used for LZW. More...

## Static Public Attributes
const int | MAGIC = 0x1f9d
| Magic number found at start of LZW header: 0x1f 0x9d.
const int | MAX_BITS = 16
| Maximum number of bits per code.
const int | BIT_MASK = 0x1f
| Mask for 'number of compression bits'.
const int | EXTENDED_MASK = 0x20
| Indicates the presence of a fourth header byte.
const int | RESERVED_MASK = 0x60
| Reserved bits.
const int | BLOCK_MODE_MASK = 0x80
| Block compression: if table is full and compression rate is dropping, clear the dictionary.
const int | HDR_SIZE = 3
| LZW file header size (in bytes)
const int | INIT_BITS = 9
| Initial number of bits per code.

## Private Member Functions
| LzwConstants ()

## Detailed Description

This class contains constants used for LZW.

## Constructor & Destructor Documentation

## ◆ LzwConstants()

ICSharpCode.SharpZipLib.LZW.LzwConstants.LzwConstants | ( |  | ) |
| private

## Member Data Documentation

## ◆ BIT_MASK

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.BIT_MASK = 0x1f
| static

Mask for 'number of compression bits'.

## ◆ BLOCK_MODE_MASK

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.BLOCK_MODE_MASK = 0x80
| static

Block compression: if table is full and compression rate is dropping, clear the dictionary.

## ◆ EXTENDED_MASK

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.EXTENDED_MASK = 0x20
| static

Indicates the presence of a fourth header byte.

## ◆ HDR_SIZE

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.HDR_SIZE = 3
| static

LZW file header size (in bytes)

## ◆ INIT_BITS

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.INIT_BITS = 9
| static

Initial number of bits per code.

## ◆ MAGIC

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.MAGIC = 0x1f9d
| static

Magic number found at start of LZW header: 0x1f 0x9d.

## ◆ MAX_BITS

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.MAX_BITS = 16
| static

Maximum number of bits per code.

## ◆ RESERVED_MASK

const int ICSharpCode.SharpZipLib.LZW.LzwConstants.RESERVED_MASK = 0x60
| static

Reserved bits.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Lzw/LzwConstants.cs